﻿using System.Web.UI.WebControls;
using BusinessObjects;

namespace Controls
{
    public class Categories : Repeater
    {

        protected override void OnInit(System.EventArgs e)
        {
            DataSource = new DataAccess.Categories().GetAllCategories();
            DataBind();
        }

        private int currentCategoryID;

        public int CurrentCategoryID
        {
            get { return currentCategoryID; }
        }

        protected override void OnItemCreated(RepeaterItemEventArgs e)
        {
            base.OnItemCreated(e);
            if (e.Item.DataItem != null && e.Item.DataItem is Category)
                currentCategoryID = ((Category)e.Item.DataItem).ID;
        }

    }

}